<div class="contentSecMain contentBox marginBtm">

    <!--..... sub header ......-->
    <div class="subHeader">
        <div class="floatLeft">
            <div class="mainNormal roboLight">Historical In/Out</div>

        </div>
        <div class="floatRight">
            <div class="btn subNormal " ng-click="updateTaxiEntryExitTable()">show</div>
            <div class="btn subNormal " ng-click="downloadDateBasedOnRange()">Download</div>

        </div>
        <span class="clear"></span>
    </div>





    <div class="paddingFull contentSec">
        <div class="dateTimeSliders paddingBtm borderBtm">
            <div class="floatLeft fromSlider">
               <!-- {{analyticsController.filter.fromTime}}-->
                <div class="marginBtmSml small roboLight">Select from date </div>
                <div class="dropDown datePicker midBlock medium subNormal">
                    <div class="head" data-init="0" >
                        <input class="headTitle subNormal" type="text" ng-model="analyticsController.dateFromTimeForTaxi '"
                               placeholder="Select The Date" date="analyticsController.dateFromTimeForTaxi" date-picker>
                    </div>
                </div>
               <!-- <flash-slider type="selectTime" calendar="true"
                              date="analyticsController.filter.fromDate" name="'from'"
                              hour-index='analyticsController.filter.fromTime'></flash-slider>-->
            </div>
               <!-- <flash-slider type="selectTime" calendar="true" navigation="true" date="fromDate"
                              callback-on-selection="getFromTime"></flash-slider>-->
            <div class="floatRight toSlider">
                <div class="marginBtmSml small roboLight">Select to date </div>
               <!-- <flash-slider2 type="selectTime" calendar="true" navigation="true"
                               date="analyticsController.filter.toDate" name="'to'"
                               hour-index='analyticsController.filter.toTime'></flash-slider2> ng-model="analyticsController.dateToTimeForTaxi | date:'MMM dd yyyy'"-->
                <div class="dropDown datePicker midBlock medium subNormal">
                    <div class="head" data-init="0" >
                        <input class="headTitle subNormal" type="text" ng-model="analyticsController.dateToTimeForTaxi "
                               placeholder="Select The Date" date="analyticsController.dateToTimeForTaxi" date-picker>
                    </div>
                </div>
                <div class="dropDown search midBlock medium subNormal floatRight ">
                    <div class="head" data-init="0">
                        <input class="headTitle subNormal" type="text" ng-model="taxiNumber"
                               placeholder="Search Taxi Number">
                    </div>
                </div>



                <!--  <flash-slider type="selectTime" calendar="true" navigation="true" date="toDate" callback-on-selection="getFromTime"></flash-slider>-->

            </div>

            <span class="clear"></span>
            </div>


        </div>

    <!--...... car details list ........-->

    <div class="TaxiList">
        <div class="dataTable full taxiData subNormal">

            <div class="dataRow header">
                <ul class="rowCont">
                    <li class="regNum">
                        Taxi Number
                    </li>

                    <li class="arrival">
                        <div class="midBlock">Ingress</div>
                       <!-- <img src="images/downArrow.png" alt="" class="sign midBlock">-->

                    </li>
                    <li class="departure">
                        <div class="midBlock">Outgress</div>
                        <!--<img src="images/upArrow.png" alt="" class="sign midBlock">-->

                    </li>
                    <li class="taxiNum">
                        Dwelling Time
                    </li>
                    <li class="driver">
                        Driver Name
                    </li>
                </ul>
            </div>
           <!-- {{analyticsController.taxiEntryExitDetails.length}}-->
            <div class="dataRow" ng-repeat="taxi in analyticsController.taxiEntryExitDetails | filter:taxiNumber"  ng-if="analyticsController.taxiEntryExitDetails.length>0">
                <ul class="rowCont">
                    <li class="regNum">
                        <div class="licensePlate" ng-bind="taxi.carNo">
                           <!-- <img src="images/numberPlate.png" alt="" class="npImg">-->
                           <!-- <div class="licenseNum" ></div>-->
                        </div>
                    </li>


                    <li class="arrival" ng-bind="taxi.ingress | date:'yyyy-MM-dd HH:mm:ss ' : 'UTC' "></li>
                    <li class="departure" ng-bind="taxi.outgress | date:'yyyy-MM-dd HH:mm:ss ' : 'UTC' "></li>
                    <li class="taxiNum" ng-bind="taxi.dwellingTime | secondsToDateTime"></li>


                   <!-- <li class="arrival" ng-bind="taxi.created_at"></li>

                    <li class="departure"  ng-if=" taxi.updated_at" ng-bind="taxi.updated_at"></li>
                    <li class="departure"  ng-if=" !taxi.updated_at" >-</li>

                    <li class="taxiNum" >-</li>-->
                    <li class="driver" ng-bind="taxi.driverName"></li>
                </ul>
            </div>

        </div>
    </div>
<!--
    <div  ng-if="analyticsController.taxiEntryExitDetails.length===0 && showFlag">
       {{analyticsMessage}}
        </div>
-->


    </div>

    <!--... page main loader .... -->
    <hr-loader class="overlayFix" ng-if="analyticsController.showHistoryLoading"></hr-loader>


</div>









